Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
optimism
/
games
List games.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/optimism/games \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "contract_address_hash": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "game_type": 123,
      "index": 123,
      "l2_block_number": 123,
      "resolved_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_params": {
    "index": 12967
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

items_count
integer

Number of items per page

Required range: x >= 1
index
integer

Item index for paging

Response

List of games.

items
Game · object[]
required
next_page_params
object
required
Example:
{ "index": 12967 }